# megacli

#### Table of Contents

1. [Overview](#overview)
2. [Module Description](#module-description)
3. [Setup](#setup)
    * [What megacli affects](#what-megacli-affects)
4. [Usage](#usage)
    * [New debian Jessie](#new-debian-jessie)
5. [Reference](#reference)
    * [Classes](#classes)
    * [Parameters](#parameters)
6. [Limitations](#limitations)
7. [Development](#development)
8. [License](#license)

## Overview

This module just provide a simple way to install Megacli (MegaRaid management).

## Module Description

Based on a default repository it will be easy to manage Megacli for Debian
systems. If you want some Redhat/Fedora/Ubuntu support, please send repository
URL :)

## Setup

### What megacli affects

* A new `sources.list` file for Megacli.
* Package for Megacli.

## Usage

To begin using Megacli module with defaults parameters:
```
include megacli
```

### New Debian Jessie

The default repository doesn't provide (yet?) a repository for the new Debian Stable (aka Jessie). Instead, we can use the Sid one:
```
  class { 'megacli':
    repo_suite => 'sid',
  }
```


## Reference

### Classes

* `megacli`: Main class call all subclasses.
* `megacli::repo`: Manage the repository to provide Megacli.
* `megacli::install`: Install Megacli packages.

### Parameters

#### megacli
* `repo_ensure`: What to set the repository to. Can be 'present' or 'absent'. Defaults to 'present'.
* `repo_url`: The URL of the repository. Default to 'http://hwraid.le-vert.net/debian/' for Debian systems.
* `repo_suite`: The suite to use for the repository. Default to '$::lsbdistcodename'.
* `repo_key`: The key to ensure the repository is trusted. Defaults to '23B3D3B4' for Debian systems.
* `repo_key_server`: The server used to validate the repository's key. Defaults to 'keyserver.ubuntu.com' for Debian systems.
* `repo_include_src`: If set to 'true', it will include the source packages. Can be 'true' or 'false'. Defaults to 'false'.
* `repos`: Which sections to use for the repository. Can be an array. Defaults to 'main' for Debian systems.
* `pkg_ensure`: What to set the Megacli package to. Can be 'present' or 'absent'. Defaults to 'present'.
* `pkg_name`: The Megacli's package name to install. Defaults to 'megacli'.

Limitations
-----------

This module has only be tested on Debian 7.x versions, but should work on Debian <=7.
The default repository for Debian doesn't provide packages for Debian 8 (aka Jessie).

Development
-----------

Free to send contributions, fork it, ...

License
-------

WTFPL (http://wtfpl.org/)

