# == Class: megacli
#
# Full description of class megacli here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { 'megacli':
#  }
#
# === Authors
#
# Gardouille <gardouille@gmail.com>
#
# === Copyright
#
# WTFPL
#
class megacli (
  $repo_ensure                = $megacli::params::repo_ensure,
  $repo_url                   = $megacli::params::repo_url,
  $repo_suite                 = $megacli::params::repo_suite,
  $repo_key                   = $megacli::params::repo_key,
  $repo_key_server            = $megacli::params::repo_key_server,
  $repo_include_src           = $megacli::params::repo_include_src,
  $repos                      = $megacli::params::repos,
  $pkg_ensure                 = $megacli::params::pkg_ensure,
  $pkg_name                   = $megacli::params::pkg_name,
) inherits megacli::params {

  include megacli::repo
  include megacli::install

  Class['megacli::repo'] ->
  Class['megacli::install']


}
