# == Class: megacli::repo
#
# Add a repository to install Megacli
#
class megacli::repo {
  case $::osfamily {
    'Debian': {
      apt::source {'megacli':
        ensure      => $megacli::repo_ensure,
        location    => $megacli::repo_url,
        release     => $megacli::repo_suite,
        repos       => $megacli::repos,
        include_src => $megacli::repo_include_src,
        key         => $megacli::repo_key,
        key_server  => $megacli::repo_key_server,
      }
    }
    default: {
      fail("Osfamily (${::osfamily}) or lsbdistid (${::lsbdistid}) is not yet unsupported. Please send a mail or check https://git.101010.fr/puppet/megacli/issues if you want a support.")

    }
  }

} # Private class: megacli::repo
